<back to all web services

GetTranslationsCount

The following routes are available for this service:
GET/RestApi/translations/translations/count
import Foundation
import ServiceStack

public class GetTranslationsCount : ITranslationsFilter, Codable
{
    public var type:[String]
    public var searchText:String
    public var actualSourceLanguage:String
    public var targetLanguage:[String]
    public var service:[String]
    public var translationStatus:[TranslationStatus]
    public var status:[String]
    public var projectIds:[String]
    public var startDate:Date?
    public var endDate:Date?
    public var errorsOnly:Bool

    required public init(){}
}

public enum TranslationStatus : Int, Codable
{
    case Marked = 101
    case Sending = 201
    case Sent = 202
    case Received = 301
    case Importing = 302
    case Imported = 303
    case Completed = 304
    case Archived = 401
    case Deleted = 402
    case Rejected = 403
    case SendingError = 501
    case ImportingError = 502
    case ReceivingError = 503
}

public class CountProxy : Codable
{
    public var totalCount:Int

    required public init(){}
}


Swift GetTranslationsCount DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/translations/count HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TotalCount":0}